from ..object_compare_tracking import ObjectComparisonTracking

class OverlapTracking(ObjectComparisonTracking):
    """
    Implementation of simple overlap tracking: Objects of consecutive timestamps are considered as same if
    they spatially overlap. This requires the given field which to check for overlaps.

    This field should be of data type "int", where the field is
        zero, if at the location is no object
        i, if object with the ID i (from identification) is at the location.
    """

    def __init__(self, field_name):
        self.field_name = field_name
        pass

    # TODO implement